class Technologie{
    constructor(nom) {
        this.nom = nom
    }

    async chargerDepuisBdd(style) {
        let data = await fetch("../bdd/arbre.json")
        data = await data.json()
        console.log("clé dans technologie :", this.nom);
        this.props = data["technologies"][this.nom];
        this.cout = this.props.cout;
        this.boost = this.props.boost;
        if (style) {
            this.appliquerAmeliorationStyle();
        }
    }

    appliquerAmeliorationStyle(){
        document.getElementById("link-css").setAttribute("href","css/"+this.props.css_id)
    }


}